1335. Minimum Difficulty of a Job Schedule | DP - 3 Ways | Adobe | Uber | TikTok

Sdílet
Vložit
  • čas přidán 9. 07. 2024
  • In this video, I'll talk about how to solve Leetcode 1335. Minimum Difficulty of a Job Schedule
    Problem Link: leetcode.com/problems/minimum...
    Checkout DSA-169 Series: • Aryan DSA-169 Series |...
    Sol1 - leetcode.com/problems/minimum...
    Sol2 - leetcode.com/problems/minimum...
    Sol3 - leetcode.com/problems/minimum...
    Let's Connect:
    📝Linkedin: / aryan-mittal-0077
    📸 Instagram: / ez.pz.dsa
    📱Telegram : t.me/aryan_mittal_group
    🤖 Github: github.com/aryan-0077
    About Me:
    I am Aryan Mittal - A Software Engineer in Goldman Sachs, Speaker, Creator & Educator. During my free time, I create programming education content on this channel & also how to use that to grow :)
    ✨ Timelines✨
    0:00 - Important
    0:40 - Problem Explanation & Intuition
    4:24 - Brute Force
    6:12 - Recursion + Memoization Explanation
    11:35 - Recursion + Memoization Code Explanation
    18:50 - Bottom Up Explanation
    21:46 - Bottom Up Code Explanation
    26:29 - Bottom Up Optimised Explanation
    30:02 - Monotonic Stack (Not for Interview) - For Curiosity Only
    ✨ Hashtags ✨
    #programming #Interviews #leetcode #faang #maang #datastructures #algorithms

Komentáře • 10

  • @balasubramaniants5578
    @balasubramaniants5578 Před 6 měsíci +3

    I do agree that people are more attracted to short solutions but tbh always multiple approaches helps us to come up with different ideas in OA's. Although I do solve this prob on my own, I look for your content. Much Appreciated for your work ! And Thanks for making your content available in English

  • @chirag9179
    @chirag9179 Před 6 měsíci

    yes, please continue providing multiple approaches, thats why many are here and many more will be.

  • @ManojKumarManuSai
    @ManojKumarManuSai Před 6 měsíci

    Continue explaining multiple approaches. Thank you for all the efforts.

  • @sanjaysanjay862
    @sanjaysanjay862 Před 6 měsíci +1

    In solution-1 inside the if condition it should be ' return dp[i][d]=ans ' .

  • @robinmahato
    @robinmahato Před 6 měsíci

    bro continue with all the approaches it will improve the thought process

  • @Anonymous____________A721
    @Anonymous____________A721 Před 6 měsíci +2

    Tqqq sir

  • @Aks-47
    @Aks-47 Před 6 měsíci +2

    respect++

  • @akshittayal3698
    @akshittayal3698 Před 6 měsíci

    💓

  • @ITACHIUCHIHA-dr8sz
    @ITACHIUCHIHA-dr8sz Před 6 měsíci

    we want pro max approaches too

  • @00RohitRoshan
    @00RohitRoshan Před 6 měsíci +7

    No Bro your audience wants to go through the aproaches.